Bug 1269380 - WEB-UI: "Action not implemented [vm_infra/explorer]" when navigating from MySettings page to Virtual Machines page
WEB-UI: "Action not implemented [vm_infra/explorer]" when navigating from MyS...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity medium
: GA
: 5.4.4
Assigned To: Aparna Karve
Jeff Teehan
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 03:45 EDT by Ramesh A
Modified: 2015-12-16 08:19 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.4.4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 08:19:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Action not implemented error (28.29 KB, image/png)
2015-10-07 03:45 EDT, Ramesh A
no flags Details

  None (edit)
Description Ramesh A 2015-10-07 03:45:29 EDT
Created attachment 1080537 [details]
Action not implemented error

Description of problem:
"Action not implemented [vm_infra/explorer]" when navigating from MySettings page to Virutal Machines page

Version-Release number of selected component (if applicable):
5.4.3.0.20151001120745_d11cf59

How reproducible:
Very

Steps to Reproduce:
1. Navigate to Configure ==> My Settings ==> Default views / Default Filters / Time Profiles
2. Now click on Infrastructure ==> Virtual Machine


Actual results:
Throws "Action not implemented [vm_infra/explorer]" error.  Refer the screenshot and production.log file for more information

Expected results:
Should navigate to Virtual Machines page

Additional info:
production.log:
===============
[----] I, [2015-10-07T03:27:37.005174 #1517:b9fe9c]  INFO -- : Processing by VmInfraController#explorer as HTML
[----] F, [2015-10-07T03:27:38.129034 #1517:b9fe9c] FATAL -- : Error caught: [ActionController::RoutingError] No route matches "https://10.8.59.150/configuration/change_tab/?tab=4"
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/routing/route_set.rb:642:in `recognize_path'
/var/www/miq/vmdb/app/helpers/application_helper.rb:2878:in `controller_referrer?'
/var/www/miq/vmdb/app/controllers/vm_common.rb:1482:in `get_node_info'
/var/www/miq/vmdb/app/controllers/mixins/vm_show_mixin.rb:80:in `set_active_elements'
/var/www/miq/vmdb/app/controllers/mixins/vm_show_mixin.rb:47:in `explorer'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/base.rb:167:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/callbacks.rb:18:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:568:in `_run__1382244370966778854__process_action__1425720743918756297__callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:405:in `__run_callback'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/callbacks.rb:17:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/notifications.rb:123:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/notifications.rb:123:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/instrumentation.rb:29:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/params_wrapper.rb:207:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/base.rb:121:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/rendering.rb:45:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal.rb:203:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal.rb:246:in `block in action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/routing/route_set.rb:73:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/routing/route_set.rb:36:in `call'
/opt/rh/cfme-gemset/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'
/opt/rh/cfme-gemset/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'
/opt/rh/cfme-gemset/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/routing/route_set.rb:608:in `call'
/opt/rh/cfme-gemset/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'
/opt/rh/cfme-gemset/gems/rack-cache-1.2/lib/rack/cache/context.rb:245:in `fetch'
/opt/rh/cfme-gemset/gems/rack-cache-1.2/lib/rack/cache/context.rb:185:in `lookup'
/opt/rh/cfme-gemset/gems/rack-cache-1.2/lib/rack/cache/context.rb:66:in `call!'
/opt/rh/cfme-gemset/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/etag.rb:23:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/conditionalget.rb:25:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/head.rb:14:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/params_parser.rb:21:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/flash.rb:242:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/session/abstract/id.rb:210:in `context'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/session/abstract/id.rb:205:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/cookies.rb:341:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activerecord/lib/active_record/query_cache.rb:64:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:479:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:405:in `_run__1601298602041723879__call__1250150106622577368__callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:405:in `__run_callback'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/rack/logger.rb:32:in `call_app'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/rack/logger.rb:18:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/request_id.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/methodoverride.rb:21:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/runtime.rb:17:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/cache/strategy/local_cache.rb:72:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/lock.rb:15:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/static.rb:63:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/engine.rb:484:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/application.rb:231:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/content_length.rb:14:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/rack/log_tailer.rb:17:in `call'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:80:in `block in pre_process'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:78:in `catch'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:78:in `pre_process'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:53:in `process'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:38:in `receive_data'
/opt/rh/ruby200/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run_machine'
/opt/rh/ruby200/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/backends/base.rb:61:in `start'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/server.rb:159:in `start'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/handler/thin.rb:13:in `run'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/server.rb:268:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands/server.rb:70:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands.rb:55:in `block in <top (required)>'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands.rb:50:in `tap'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands.rb:50:in `<top (required)>'
script/rails:6:in `require'
script/rails:6:in `<main>'
Comment 4 CFME Bot 2015-10-16 17:22:52 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=36fde53e0b69895ecf9659db3c8200be0a05840a

commit 36fde53e0b69895ecf9659db3c8200be0a05840a
Merge: 8b75f5f 68be032
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Oct 16 17:13:13 2015 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Fri Oct 16 17:13:13 2015 -0400

    Merge branch 'bz1269380_fix_url_for_link_to' into '5.4.z'
    
    BZ1269380: link_to expects :id to be nil (and not blank) for forming a proper url
    
    If a blank("") value is supplied to :id, the url ends up looking like
    this - /configuration/change_tab/?tab=2, because of which
    recognize_path(request.referrer) call does not work correctly.
    
    This is possibly an issue with link_to only in Rails 3.2.17.
    In Rails 4.2.4, link_to seems to return a well formed url -
    /configuration/change_tab?tab=2 (without the additional slash)
    
    This is 5.4.z specific issue for the reasons stated above.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1269380
    
    See merge request !294

 vmdb/app/views/layouts/_tabs.html.haml                 | 11 ++++++-----
 vmdb/spec/controllers/configuration_controller_spec.rb |  9 +++++++++
 2 files changed, 15 insertions(+), 5 deletions(-)
Comment 5 CFME Bot 2015-10-16 17:23:09 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=68be032150f38e957d1b2396811d45996d1dda70

commit 68be032150f38e957d1b2396811d45996d1dda70
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Tue Oct 13 09:36:49 2015 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Tue Oct 13 09:53:09 2015 -0700

    link_to expects :id to be nil (and not blank) for forming a proper url
    
    If a blank("") value is supplied to :id, the url ends up looking like
    this - /configuration/change_tab/?tab=2, because of which
    recognize_path(request.referrer) call does not work correctly.
    
    This is possibly an issue with link_to only in Rails 3.2.17.
    In Rails 4.2.4, link_to seems to return a well formed url -
    /configuration/change_tab?tab=2 (without the additional slash)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1269380

 vmdb/app/views/layouts/_tabs.html.haml                 | 11 ++++++-----
 vmdb/spec/controllers/configuration_controller_spec.rb |  9 +++++++++
 2 files changed, 15 insertions(+), 5 deletions(-)
Comment 7 Jeff Teehan 2015-11-20 16:49:41 EST
This looks good to me.  I tried the above steps as well as some ad hoc stuff.  Also check on 5.5.0.11 as long as I was here.

Both current versions are working correctly
Using 5.4.4.1 on https://10.16.6.254/ems_cloud/show/1120000000000002
Using 5.5.0.11 on https://10.16.6.164/ems_cloud/1119000000000002

Moving to Verified.
Comment 9 errata-xmlrpc 2015-12-16 08:19:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2620.html

Note You need to log in before you can comment on or make changes to this bug.